# Package edu.isi.pegasus.planner.parser.pdax

Interface Summary
Callback: This interfaces defines the callback calls from PDAX parsing.

Class Summary
PDAX2MDAG: This callback ends up creating the megadag that contains the smaller dags each corresponding to the one level as identified in the pdax file generated by the partitioner.
PDAXCallbackFactory: A factory class to load the appropriate DAX callback implementations that need to be passed to the DAX Parser.
RunDirectoryFilenameFilter: A filename filter for identifying the run directory

Exception Summary
PDAXCallbackFactoryException: Class to notify of failures while instantiating PDAXCallback implementations.